View Issue Details

IDProjectCategoryView StatusLast Update
0003513Ham Radio DeluxeGeneralpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003513: Up/Down buttons are missing in the list of Enabled Methods
DescriptionWe need to add Up/Down buttons to the right of the "Enabled Methods" so that the user will know that they can re-order them.
Steps To Reproduce- Launch Logbook
- Go to Tools, Configure, Callsign Lookup... Enable tab
- While you can drag/drop items under Enabled Methods, that's not obvious to the user. It would be more intuitive to put up/down buttons there.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

child of 0003511 assignedWA9PIE 3 - Current Dev List Callsign Lookup dialog box has confusing UI 

Activities

WA9PIE

2019-10-23 00:37

administrator  

UpDown.PNG (431,955 bytes)

K7ZCZ

2019-10-24 07:44

administrator   ~0009003

It's just a bug that the up/down buttons weren't displaying. After sorting out what went wrong, it's a one-line fix, it's done with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5231

If you want the hollow arrows shown in your image, then you'll need to hire a graphic artist to draw an icon set with the images you want. I've just replaced the "+" and "-" button text that was originally in the product. So this is assigned to you to arrange for the artwork to be delivered.

WA9PIE

2019-10-24 08:04

administrator   ~0009004

I don’t really care what hey look like. What ever makes it useful is good for me.

K7ZCZ

2019-10-24 11:34

administrator   ~0009005

OK, I thought the picture was meant to be a specification. If not, then I think this is resolved with the previous checkin.

WA9PIE

2019-10-29 16:36

administrator   ~0009086

Validated

Issue History

Date Modified Username Field Change
2019-10-23 00:37 WA9PIE New Issue
2019-10-23 00:37 WA9PIE Status new => assigned
2019-10-23 00:37 WA9PIE Assigned To => K7ZCZ
2019-10-23 00:37 WA9PIE File Added: UpDown.PNG
2019-10-23 00:37 WA9PIE Issue generated from: 0003511
2019-10-23 00:37 WA9PIE Relationship added child of 0003511
2019-10-24 07:44 K7ZCZ Note Added: 0009003
2019-10-24 07:44 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-10-24 08:04 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-10-24 08:04 WA9PIE Steps to Reproduce Updated View Revisions
2019-10-24 08:04 WA9PIE Note Added: 0009004
2019-10-24 11:34 K7ZCZ Status assigned => resolved
2019-10-24 11:34 K7ZCZ Resolution open => fixed
2019-10-24 11:34 K7ZCZ Note Added: 0009005
2019-10-29 15:51 K7ZCZ Fixed in Version => 6.7.0.239
2019-10-29 16:36 WA9PIE Status resolved => closed
2019-10-29 16:36 WA9PIE Testing Not Started => Beta Successful
2019-10-29 16:36 WA9PIE Note Added: 0009086
2019-11-08 02:10 WA9PIE Fixed in Version 6.7.0.239 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe